Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

144 lines (143 sloc) 4.775 kB
<?xml version="1.0"?>
<project
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<modelVersion>4.0.0</modelVersion>
<groupId>rubygems</groupId>
<artifactId>rack-datamapper</artifactId>
<version>0.3.3-SNAPSHOT</version>
<packaging>gem</packaging>
<name><![CDATA[this collection of plugins helps to add datamapper functionality to Rack]]></name>
<description><![CDATA[this collection of plugins helps to add datamapper functionality to Rack. there is a IdentityMaps plugin which wrappes the request and with it all database actions are using that identity map. the transaction related plugin TransactionBoundaries and RestfulTransactions wrappes the request into a transaction. for using datamapper to store session data there is the DatamapperStore.]]></description>
<url>http://github.com/mkristian/rack_datamapper</url>
<scm>
<connection>scm:git:git://github.com/mkristian/rack_datamappe.git</connection>
<developerConnection>scm:git:git@github.com:mkristian/rack_datamappe.git</developerConnection>
<url>http://github.com/mkristian/rack_datamappe</url>
</scm>
<developers>
<developer>
<id>m.kristian</id>
<name>mkristian</name>
<email>m.kristian@web.de</email>
</developer>
</developers>
<licenses>
<license>
<name>MIT-LICENSE</name>
<url>./MIT-LICENSE</url>
<distribution>repo</distribution>
</license>
</licenses>
<dependencies>
<dependency>
<groupId>rubygems</groupId>
<artifactId>dm-core</artifactId>
<version>[1.0.0,1.0.99999.99999)</version>
<type>gem</type>
<scope>compile</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>rack</artifactId>
<version>[1.0,1.99999.99999)</version>
<type>gem</type>
<scope>compile</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>dm-migrations</artifactId>
<version>[1.0.0,1.0.99999.99999)</version>
<type>gem</type>
<scope>test</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>dm-transactions</artifactId>
<version>[1.0.0,1.0.99999.99999)</version>
<type>gem</type>
<scope>test</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>dm-sqlite-adapter</artifactId>
<version>[1.0.0,1.0.99999.99999)</version>
<type>gem</type>
<scope>test</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>rspec</artifactId>
<version>[1.3.0,1.3.99999.99999)</version>
<type>gem</type>
<scope>test</scope>
</dependency>
</dependencies>
<repositories>
<repository>
<id>rubygems-releases</id>
<url>http://gems.saumya.de/releases</url>
</repository>
</repositories>
<properties>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
<jruby.plugins.version>0.20.0</jruby.plugins.version>
</properties>
<build>
<plugins>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>gem-maven-plugin</artifactId>
<version>${jruby.plugins.version}</version>
<extensions>true</extensions>
<configuration>
<date>2010-06-13</date>
<extraRdocFiles>History.txt,README.txt</extraRdocFiles>
<rdocOptions>--main,README.txt</rdocOptions>
<rubyforgeProject>rack-datamapper</rubyforgeProject>
<extraFiles>Rakefile</extraFiles>
<gemspecOverwrite>true</gemspecOverwrite>
</configuration>
<executions>
<execution>
<id>version</id>
<phase>compile</phase>
<goals>
<goal>exec</goal>
</goals>
<configuration>
<script>
version = '${project.version}'.sub(/-SNAPSHOT/, '')
puts "module Rack"
puts " module DataMapper"
puts " VERSION = '#{version}'.freeze"
puts " end"
puts "end"
</script>
<outputFile>lib/rack_datamapper/version.rb</outputFile>
</configuration>
</execution>
</executions>
</plugin>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>rspec-maven-plugin</artifactId>
<version>${jruby.plugins.version}</version>
<executions>
<execution>
<goals><goal>test</goal></goals>
</execution>
</executions>
</plugin>
<plugin>
<artifactId>maven-compiler-plugin</artifactId>
<version>2.0.2</version>
<configuration>
<source>1.5</source>
<target>1.5</target>
</configuration>
</plugin>
</plugins>
</build>
</project>
Jump to Line
Something went wrong with that request. Please try again.